summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--scripts/include/common.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/include/common.sh b/scripts/include/common.sh
index d446c1e..eac8ab2 100644
--- a/scripts/include/common.sh
+++ b/scripts/include/common.sh
@@ -277,6 +277,11 @@ function package_update_source {
if [ -d .git ]; then
echo "git fetch origin"
git fetch origin
+ check_error $?
+ run_switch_branch
+ echo "git pull --rebase"
+ git pull --rebase
+ check_error $?
return
fi
if [ -d .hg ]; then